package com.chenyang.nse.bussiness.entity.vo.api;

import java.util.List;

public class DiscoverApiDirectoryVO {
   private String id;
   private String tid;
   private String text;
   private String edition_id;
   private String fa_tid;
   private String fa_name;
   private String state;
   private String type;
   private String projectId;
   private List<DiscoverApiDirectoryVO> children;
   private String mappletname;

   public String getMappletname() {
      return this.mappletname;
   }

   public void setMappletname(String mappletname) {
      this.mappletname = mappletname;
   }

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getText() {
      return this.text;
   }

   public void setText(String text) {
      this.text = text;
   }

   public String getFa_tid() {
      return this.fa_tid;
   }

   public void setFa_tid(String fa_tid) {
      this.fa_tid = fa_tid;
   }

   public String getFa_name() {
      return this.fa_name;
   }

   public void setFa_name(String fa_name) {
      this.fa_name = fa_name;
   }

   public String getState() {
      return this.state;
   }

   public void setState(String state) {
      this.state = state;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public List<DiscoverApiDirectoryVO> getChildren() {
      return this.children;
   }

   public void setChildren(List<DiscoverApiDirectoryVO> children) {
      this.children = children;
   }

   public String getEdition_id() {
      return this.edition_id;
   }

   public void setEdition_id(String edition_id) {
      this.edition_id = edition_id;
   }

   public String getTid() {
      return this.id;
   }

   public void setTid(String id) {
      this.id = id;
   }

   public String getProjectId() {
      return this.projectId;
   }

   public void setProjectId(String projectId) {
      this.projectId = projectId;
   }
}
